Package org.kie.api.cluster

## Class ClusterNode

- java.lang.Object
- - org.kie.api.cluster.ClusterNode

- All Implemented Interfaces:
    `java.io.Externalizable`, `java.io.Serializable`

      public final class ClusterNode
      extends java.lang.Object
      implements java.io.Externalizable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClusterNode()` |
    `ClusterNode​(java.lang.String serverId, java.lang.String location)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getLocation()` |
    `java.lang.String` | `getServerId()` |
    `void` | `readExternal​(java.io.ObjectInput input)` |
    `java.lang.String` | `toKey()` |
    `java.lang.String` | `toString()` |
    `void` | `writeExternal​(java.io.ObjectOutput output)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClusterNode

          public ClusterNode()

    - #### ClusterNode

          public ClusterNode​(java.lang.String serverId,
                             java.lang.String location)

  - ### Method Detail

    - #### getLocation

          public java.lang.String getLocation()

    - #### getServerId

          public java.lang.String getServerId()

    - #### toKey

          public java.lang.String toKey()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### readExternal

          public void readExternal​(java.io.ObjectInput input)
                            throws java.io.IOException,
                                   java.lang.ClassNotFoundException

      Specified by:
        `readExternal` in interface `java.io.Externalizable`
      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

    - #### writeExternal

          public void writeExternal​(java.io.ObjectOutput output)
                             throws java.io.IOException

      Specified by:
        `writeExternal` in interface `java.io.Externalizable`
      Throws:
        `java.io.IOException`